Update details of a Time Group

This API allows you to update the details of particular Time Group.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

This API allows you to update the details of particular Time Group.

curl --request PUT \
     --url https://api-smartflo.tatateleservices.com/v1/timegroup/id \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘Important

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Path Params)

Variable NameDescriptionData Type
idUnique ID of the time group.string

Request Variables (Body Params)

Variable NameDescriptionData Type
nameName for the time groupstring
from_timestart time of time grouparray of strings
to_timeend time of time grouparray of strings
daysdays on which time group is applicablestring
datesDates on which timegroup is applicable, min:1, max:31array of strings
monthsMonths on which timegroup is applicablearray of strings

Response Variables

After the execution of the API, you will get the following response:

Variable NameDescriptionData Type
successThe request success status, the possible values are: True (default) for success. False for failure.Boolean
messageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Path Params
string
required
Body Params
string

Name for the timegroup

from_time
array of strings

Start time of timegroup

from_time
to_time
array of strings

End time of timegroup

to_time
string

Days on which timegroup is applicable

dates
array of strings

Dates on which timegroup is applicable, min:1, max:31

dates
months
array of strings

Months on which timegroup is applicable

months
Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json